package com.visiblebody.atlas;

import com.unity3d.player.*;
import android.app.Activity;
import android.content.Intent;
import android.content.res.Configuration;
import android.graphics.PixelFormat;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.net.Uri;
import android.util.Log;

public class AtlasPlayerActivity extends UnityPlayerActivity
{
    private String mTag = "VB_LOG"; // custom tag for log statements
    private String mSchemeName = "vbhaa"; // custom scheme name for Muscle

    // Setup activity layout
    @Override protected void onCreate(Bundle savedInstanceState)
    {
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        super.onCreate(savedInstanceState);
        
        getWindow().setFormat(PixelFormat.RGBX_8888); // <--- This makes xperia play happy

        mUnityPlayer = new UnityPlayer(this);
        setContentView(mUnityPlayer);
        mUnityPlayer.requestFocus();
        
        Intent intent = getIntent();
        if (intent != null)
            handleSharedLinkReceived(intent);
    }

    @Override protected void onNewIntent(Intent intent)
    {
        super.onNewIntent(intent);
        Log.d(mTag, "New intent received");
        handleSharedLinkReceived(intent);
    }

    private void handleSharedLinkReceived(Intent intent)
    {
        Uri data = intent.getData();
        if (data != null && data.toString().startsWith(mSchemeName))
        {
            Log.d(mTag, "Sending " + data.toString() + " to Unity...");
            UnityPlayer.UnitySendMessage("AndroidShareLinkHandler", "handleSharedLinkReceived", data.toString());
        }
    }
}
